NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.CAE.MeshPointCollection Class Reference

Provides methods for managing constraints NXOpen.CAE.MeshPoint in a sim part. More...

Inheritance diagram for NXOpen.CAE.MeshPointCollection:
NXOpen.TaggedObjectCollection NXOpen.Utilities.NXRemotableObject IEnumerable IMessageSink

Public Member Functions

unsafe
NXOpen.CAE.MeshPointConicCenterBuilder 
CreateMeshpointConicCenterBuilder ()
 Creates a NXOpen.CAE.MeshPointConicCenterBuilder object. More...
 
unsafe
NXOpen.CAE.MeshPointExistingPointBuilder 
CreateMeshpointExistingPointBuilder ()
 Creates a NXOpen.CAE.MeshPointExistingPointBuilder object. More...
 
unsafe
NXOpen.CAE.MeshPointInsideVolumeBuilder 
CreateMeshpointInsideVolumeBuilder ()
 Creates a NXOpen.CAE.MeshPointInsideVolumeBuilder object. More...
 
unsafe
NXOpen.CAE.MeshPointMultipleOnCurveBuilder 
CreateMeshpointMultipleOnCurveBuilder ()
 Creates a NXOpen.CAE.MeshPointMultipleOnCurveBuilder object. More...
 
unsafe
NXOpen.CAE.MeshPointOnCurveBuilder 
CreateMeshpointOnCurveBuilder ()
 Creates a NXOpen.CAE.MeshPointOnCurveBuilder object. More...
 
unsafe
NXOpen.CAE.MeshPointOnFaceBuilder 
CreateMeshpointOnFaceBuilder ()
 Creates a NXOpen.CAE.MeshPointOnFaceBuilder object. More...
 
unsafe
NXOpen.CAE.MeshPointProjectBuilder 
CreateMeshpointProjectBuilder ()
 Creates a NXOpen.CAE.MeshPointProjectBuilder object. More...
 
unsafe NXOpen.CAE.MeshPoint FindObject (string journalIdentifier)
 Finds the NXOpen.CAE.MeshPoint with the given identifier as recorded in a journal. More...
 
NXOpen.CAE.MeshPoint[] ToArray ()
 Returns an array of NXOpen.CAE.MeshPoint objects. More...
 
- Public Member Functions inherited from NXOpen.TaggedObjectCollection
IEnumerator GetEnumerator ()
 Returns an enumerator that iterates through a collection. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Protected Member Functions

override int EnumerateMoveNext (ref Tag currentTag, byte[] state)
 Advances the enumerator to the next element of the collection. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObjectCollection
new void initialize ()
 <exclude> More...
 
- Protected Member Functions inherited from NXOpen.Utilities.NXRemotableObject
void initialize ()
 <exclude> More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

Provides methods for managing constraints NXOpen.CAE.MeshPoint in a sim part.

Iterating this collection only returns live uncondemned objects contained in the owning part of the collection. Note that NXOpen.CAE.MeshPoint is a smart object and many smart objects are condemned as they only exist to support other objects and are not displayed.

To obtain an instance of this class, refer to NXOpen.CAE.FemPart

Created in NX5.0.2

Member Function Documentation

unsafe NXOpen.CAE.MeshPointConicCenterBuilder NXOpen.CAE.MeshPointCollection.CreateMeshpointConicCenterBuilder ( )
inline

Creates a NXOpen.CAE.MeshPointConicCenterBuilder object.

Created in NX5.0.2

License requirements: nx_masterfem ("Finite Element Modeling")

Returns
unsafe NXOpen.CAE.MeshPointExistingPointBuilder NXOpen.CAE.MeshPointCollection.CreateMeshpointExistingPointBuilder ( )
inline

Creates a NXOpen.CAE.MeshPointExistingPointBuilder object.

Created in NX5.0.2

License requirements: nx_masterfem ("Finite Element Modeling")

Returns
unsafe NXOpen.CAE.MeshPointInsideVolumeBuilder NXOpen.CAE.MeshPointCollection.CreateMeshpointInsideVolumeBuilder ( )
inline

Creates a NXOpen.CAE.MeshPointInsideVolumeBuilder object.

Created in NX11.0.0

License requirements: nx_masterfem ("Finite Element Modeling")

Returns
unsafe NXOpen.CAE.MeshPointMultipleOnCurveBuilder NXOpen.CAE.MeshPointCollection.CreateMeshpointMultipleOnCurveBuilder ( )
inline

Creates a NXOpen.CAE.MeshPointMultipleOnCurveBuilder object.

Created in NX5.0.2

License requirements: nx_masterfem ("Finite Element Modeling")

Returns
unsafe NXOpen.CAE.MeshPointOnCurveBuilder NXOpen.CAE.MeshPointCollection.CreateMeshpointOnCurveBuilder ( )
inline

Creates a NXOpen.CAE.MeshPointOnCurveBuilder object.

Created in NX5.0.2

License requirements: nx_masterfem ("Finite Element Modeling")

Returns
unsafe NXOpen.CAE.MeshPointOnFaceBuilder NXOpen.CAE.MeshPointCollection.CreateMeshpointOnFaceBuilder ( )
inline

Creates a NXOpen.CAE.MeshPointOnFaceBuilder object.

Created in NX5.0.2

License requirements: nx_masterfem ("Finite Element Modeling")

Returns
unsafe NXOpen.CAE.MeshPointProjectBuilder NXOpen.CAE.MeshPointCollection.CreateMeshpointProjectBuilder ( )
inline

Creates a NXOpen.CAE.MeshPointProjectBuilder object.

Created in NX5.0.2

License requirements: nx_masterfem ("Finite Element Modeling")

Returns
override int NXOpen.CAE.MeshPointCollection.EnumerateMoveNext ( ref Tag  currentTag,
byte[]  state 
)
inlineprotectedvirtual

Advances the enumerator to the next element of the collection.

Implements NXOpen.TaggedObjectCollection.

unsafe NXOpen.CAE.MeshPoint NXOpen.CAE.MeshPointCollection.FindObject ( string  journalIdentifier)
inline

Finds the NXOpen.CAE.MeshPoint with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Created in NX5.0.2

License requirements: nx_masterfem ("Finite Element Modeling")

Parameters
journalIdentifierIdentifier of the MeshPoint you want
Returns
NXOpen.CAE.MeshPoint [] NXOpen.CAE.MeshPointCollection.ToArray ( )
inline

Returns an array of NXOpen.CAE.MeshPoint objects.

Property Documentation

Tag NXOpen.CAE.MeshPointCollection.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.